﻿using ProRestaurant.Models.Restaurants;
using System.Collections.Generic;
using System.Security.Permissions;

namespace ProRestaurant.Containers
{
    public class RestaurantContainer : Restaurant
    {
        public string UserFirstName { get; set; }
        public string UserSurname { get; set; }        
        public string UserEmailAddress { get; set; }
        public string UserPassword { get; set; }

        public List<TradingHoursContainer> THours { get; set; }        
        public string Result { get; set; }        
    }

    public class MenuContainer
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }
        public string DisplayPrice { get; set; }
        public decimal Price { get; set; }
        public string Image { get; set; }

        public List<OptionContainer> Options { get; set; }
    }

    public class OptionContainer
    {
        public string Description { get; set; }
        public string SubTitle { get; set; }
        public string OptionType { get; set; }
        public int Limit { get; set; }
        public bool IsBasePrice { get; set; }          
        public string SpecialInstructions { get; set; }
        public List<OptionItemContainer> Options { get; set; }
    }

    public class OptionItemContainer
    {
        public string Description { get; set; }
        public decimal Price { get; set; }        
    }
}
