﻿namespace ProRestaurant.Models.Accounts
{
    public class UserAddress : BaseObject
    {
        public int UserId { get; set; }
        public bool IsDefault { get; set; }
        public bool IsComplex { get; set; }
        public string GoogleMapUrl { get; set; }
        public decimal Latitude { get; set; }
        public decimal Longitude { get; set; } 

        public string UnitNumber { get; set; }
        public string ComplexName { get; set; }
        public string StreetNumber { get; set; }
        public string StreetName { get; set; }
        public string Suburb { get; set; }
        public string City { get; set; }
        public string Province { get; set; }
        public string Country { get; set; }
        public string PostalCode { get; set; }

        public virtual User User { get; set; }
    }
}
