﻿using ProRestaurant.Models.Restaurants;
using System;
using System.Collections.Generic;

namespace ProRestaurant.Repository.Restaurants
{
    public interface IMenuItemRepository
    {
        MenuItem GetMenuItem(int Id);
        IEnumerable<MenuItem> GetMenuItems(Func<MenuItem, bool> where);
        void Insert(MenuItem Item);
        void Remove(MenuItem Item);
        void Update(MenuItem Item);
        void Save();
    }
}
