﻿using ProRestaurant.Containers;
using ProRestaurant.Models.Restaurants;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace ProRestaurant.Repository.Restaurants
{
    public interface IRestaurantCategoryRepository
    {
        ICollection<RestaurantCategory> Get();
        List<Category> GetCategories();
        void Insert(RestaurantCategory RestaurantCategory);
        void Update(RestaurantCategory RestaurantCategory);
        void Remove(int id);
        void Save();
    }
}
