﻿using System.Collections.Generic;

namespace ProRestaurant.Containers
{
    public class RestaurantMenuContainer
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public string Categories { get; set; }
        public string DeliveryTime { get; set; }
        public string DeliveryFee { get; set; }
        public string Suburb { get; set; }
        public string City { get; set; }
        public string Province { get; set; }
        public string PostalCode { get; set; }
        public decimal Latitude { get; set; }
        public decimal Longitude { get; set; }
        public string Logo { get; set; }
        public List<string> CategoryList { get; set; }
        public List<TradingHourContainer> TradingHours { get; set; }
        public List<MenuCategoryContainer> MenuList { get; set; }
    }
}
