﻿using ProRestaurant.Classes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ProRestaurant.Models.Accounts
{
    public class User : BaseObject
    {
        public string EmailAddress { get; set; }
        public string Password { get; set; }
        public string FirstName { get; set; }
        public string Surname { get; set; }
        public string Cellphone { get; set; }
        public SystemRole SystemRole { get; set; }

        public virtual DriverDetail DriverDetails { get; set; }

        public ICollection<UserAddress> Addresses { get; set; }
    }    
}
