﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace ProRestaurant.Models.Restaurants
{
    public class MenuCategory : BaseObject
    {
        [ForeignKey("Restaurant")]
        public int RestaurantId { get; set; }
        public string Description { get; set; }

        public virtual Restaurant Restaurant { get; set; }
        public ICollection<MenuOption> Options { get; set; }
    }
}
