﻿using ProRestaurant.Containers;
using ProRestaurant.Models.Accounts;
using ProRestaurant.Models.Restaurants;
using System;

namespace ProRestaurant.Repository.Accounts
{
    public interface IRegistrationRepository
    {        
        UserContainer GetUserContainer();        
        RestaurantContainer GetRestaurantContainer();
        UserContainer RegisterUser(UserContainer UserContainer);
        RestaurantContainer RegisterRestaurant(RestaurantContainer RestaurantContainer);
        void Save();                
    }
}
