﻿using ProRestaurant.Models.Restaurants;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace ProRestaurant.Repository.Restaurants
{
    public interface IMenuCategoryRepository
    {
        IEnumerable<MenuCategory> GetMenuCategory();
        IEnumerable<MenuCategory> GetMenuCategories(Func<MenuCategory, bool> where);
        MenuCategory GetMenuCategory(Func<MenuCategory, bool> where);
        void Insert(MenuCategory MenuCategory);
        void Remove(MenuCategory MenuCategory);
        void Update(MenuCategory MenuCategory);
        void Save();
    }
}
