﻿using ProRestaurant.Containers;
using ProRestaurant.Models.Restaurants;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace ProRestaurant.Repository.Restaurants
{
    public interface IMenuOptionRepository
    {
        MenuOption GetMenuOption(int id);
        List<MenuOption> GetRestaurantMenuOptions(int restaurantId);
        List<OptionTypeContainer> GetOptionTypes();
        void Insert(MenuOption Option);
        void Update(MenuOption Option);
        void Delete(MenuOption Option);
        void DeleteItem(int id);
        void Save();
    }
}
